com.jscape.inet.ftp

## Class MvsParser

- java.lang.Object
- - com.jscape.inet.ftp.MvsParser

- All Implemented Interfaces:
    FtpFileParser

      public class MvsParser
      extends java.lang.Object
      implements FtpFileParser

  Author:
    Alex Usun

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `MvsParser.MvsFileRecord`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MvsParser()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Date` | `getDateTime(FtpFile file)`
    `java.util.Date` | `getFileDate(java.lang.String date)` Parses a string which contains a date a returns a date object
    `java.util.Enumeration` | `parse(java.io.BufferedReader in)` Method for parsing a directory listing returned by FTP server.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MvsParser

          public MvsParser()

  - ### Method Detail

    - #### parse

          public java.util.Enumeration parse(java.io.BufferedReader in)
                                      throws java.io.IOException

      Description copied from interface: `FtpFileParser`
      Method for parsing a directory listing returned by FTP server.
      Specified by:
        `parse` in interface `FtpFileParser`
      Parameters:
        `in` - a BufferedReader passed in by Ftp class when invoking Ftp#getDirListing method
      Returns:
        an `Enumeration` of `FtpFile`
      Throws:
        `java.io.IOException` - if an I/O or FTP related error occurs
      See Also:
        `FtpFile`, `Ftp.getDirListing(java.lang.String)`

    - #### getFileDate

          public java.util.Date getFileDate(java.lang.String date)
                                     throws java.text.ParseException

      Description copied from interface: `FtpFileParser`
      Parses a string which contains a date a returns a date object
      Specified by:
        `getFileDate` in interface `FtpFileParser`
      Parameters:
        `date` - The string will be parsed
      Returns:
        A object date which corresponds with the input string argument
      Throws:
        `java.text.ParseException` - if an error ocurrs

    - #### getDateTime

          public java.util.Date getDateTime(FtpFile file)
                                     throws java.text.ParseException

      Specified by:
        `getDateTime` in interface `FtpFileParser`
      Throws:
        `java.text.ParseException`

Copyright © JSCAPE LLC. 1999-2021. All Rights Reserved